$toolsLoc = Get-ToolsLocation

$vstssyncmigrationpath =Join-Path -Path $toolsLoc -ChildPath "\VSTSSyncMigration"
$migrationtoolspath =Join-Path -Path $toolsLoc -ChildPath "\MigrationTools"

if(test-path $vstssyncmigrationpath) {
  write-host "Cleaning out the contents of $vstssyncmigrationpath"
  Remove-Item "$($vstssyncmigrationpath)\*" -recurse -force -exclude *.json
}

if(test-path $migrationtoolspath) {
  write-host "Cleaning out the contents of $migrationtoolspath"
  Remove-Item "$($migrationtoolspath)\*" -recurse -force -exclude *.json
}

Install-ChocolateyZipPackage 'MigrationTools' 'https://github.com/nkdAgility/azure-devops-migration-tools/releases/download/v11.2.0/MigrationTools-11.2.0.zip' $migrationtoolspath -Checksum B441EC09B093BB7105F2C779A6C80764806C04532CE521E1B43E48B53DC2BD7C -ChecksumType SHA256
write-host 'Azure DevOps Migration have been installed. Call `migration` from the command line to see options. You may need to close and reopen the command shell.'
